using MotorPlantDataModels.Models;
using System.ComponentModel;
using MotorPlantContracts.Attributes;

namespace MotorPlantContracts.ViewModels
{
    public class ComponentViewModel : IComponentModel
    {
        [Column(visible: false)]
        public int Id { get; set; }
        [Column(title: "Название компонента", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string ComponentName { get; set; } = string.Empty;
        [Column(title: "Цена", width: 150)]
        public double Cost { get; set; }
    }

}
